Bug 1746963 - Cannot update eclipse/jetty due to dependency problems
Summary: Cannot update eclipse/jetty due to dependency problems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1745442 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-29 15:42 UTC by Danny Ciarniello
Modified: 2019-10-21 03:07 UTC (History)
11 users (show)

Fixed In Version: eclipse-latest-3120190920120950.d36a98d4 eclipse-latest-3020190920120950.936e8d48
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-30 01:39:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Danny Ciarniello 2019-08-29 15:42:44 UTC
Description of problem:Neither eclipse nor jetty can be updated in F30 due to dependency conflicts and broken dependencies. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.On a system with eclipse installed, run dnf update
2.
3.

Actual results:
dnf complains of dependency conflicts and broken dependencies.  Eclipse/jetty cannot be upgraded.

Expected results:
Eclipse and jetty can be upgraded.


Additional info:
Output from dnf:

Problem 1: package jetty-fcgi-client-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-client) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-client-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-client-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-fcgi-client-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-client-9.4.15-1.v20190215.fc30.noarch
  - package jetty-client-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 2: package jetty-http2-hpack-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-http) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-http-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-http-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-http2-hpack-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-http-9.4.15-1.v20190215.fc30.noarch
  - package jetty-http-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 3: cannot install both jetty-io-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-io-9.4.15-1.v20190215.fc30.noarch
  - package jetty-alpn-client-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-io) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-io-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-alpn-client-9.4.15-1.v20190215.fc30.noarch
  - package jetty-io-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 4: package jetty-maven-plugin-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-jaas) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-jaas-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-jaas-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-maven-plugin-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-jaas-9.4.15-1.v20190215.fc30.noarch
  - package jetty-jaas-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 5: package jetty-osgi-boot-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-jmx) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-jmx-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-jmx-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-osgi-boot-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-jmx-9.4.15-1.v20190215.fc30.noarch
  - package jetty-jmx-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 6: cannot install both jetty-security-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-security-9.4.15-1.v20190215.fc30.noarch
  - package jetty-ant-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-security) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-security-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-ant-9.4.15-1.v20190215.fc30.noarch
  - package jetty-security-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 7: cannot install both jetty-server-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-server-9.4.15-1.v20190215.fc30.noarch
  - package jetty-alpn-server-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-server) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-server-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-alpn-server-9.4.15-1.v20190215.fc30.noarch
  - package jetty-server-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 8: package jetty-servlets-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-continuation) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-continuation-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-continuation-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-servlets-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-continuation-9.4.15-1.v20190215.fc30.noarch
  - package jetty-continuation-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 9: cannot install both jetty-util-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-util-9.4.15-1.v20190215.fc30.noarch
  - package jetty-cdi-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-util) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-util-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-cdi-9.4.15-1.v20190215.fc30.noarch
  - package jetty-util-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 10: cannot install both jetty-webapp-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-webapp-9.4.15-1.v20190215.fc30.noarch
  - package jetty-annotations-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-webapp) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-webapp-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-annotations-9.4.15-1.v20190215.fc30.noarch
  - package jetty-webapp-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 11: package jetty-websocket-server-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-servlet) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-servlet-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-servlet-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-websocket-server-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-httpservice-9.4.15-1.v20190215.fc30.noarch
  - package jetty-servlet-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 12: cannot install both jetty-xml-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-xml-9.4.15-1.v20190215.fc30.noarch
  - package jetty-deploy-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-xml) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-xml-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-deploy-9.4.15-1.v20190215.fc30.noarch
  - package jetty-xml-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 13: package lucene-facet-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - cannot install the best update candidate for package lucene-facet-7.7.0-1.fc30.noarch
  - cannot install the best update candidate for package lucene-7.7.0-1.fc30.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 14: package jetty-9.4.15-1.v20190215.fc30.noarch requires jetty-httpservice = 9.4.15-1.v20190215.fc30, but none of the providers can be installed
  - package jetty-servlet-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch obsoletes jetty-httpservice < 9.4.18-1 provided by jetty-httpservice-9.4.15-1.v20190215.fc30.noarch
  - problem with installed package jetty-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-servlet-9.4.15-1.v20190215.fc30.noarch
  - package jetty-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 15: cannot install both jetty-io-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-io-9.4.15-1.v20190215.fc30.noarch
  - package jetty-websocket-client-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-io) = 9.4.15.v20190215, but none of the providers can be installed
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.io) >= 9.4.19, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-websocket-client-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-platform-1:4.11-4.fc30.x86_64
  - package jetty-io-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 16: cannot install both jetty-server-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-server-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.server) >= 9.4.19, but none of the providers can be installed
  - package jetty-fcgi-server-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-server) = 9.4.15.v20190215, but none of the providers can be installed
  - package eclipse-jdt-1:4.12-6.module_f30+5264+0fe54b96.noarch requires eclipse-platform = 1:4.12-6.module_f30+5264+0fe54b96, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-fcgi-server-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-jdt-1:4.11-4.fc30.noarch
  - package jetty-server-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 17: cannot install both jetty-server-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-server-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.server) >= 9.4.19, but none of the providers can be installed
  - package jetty-http2-server-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-server) = 9.4.15.v20190215, but none of the providers can be installed
  - package eclipse-p2-discovery-1:4.12-6.module_f30+5264+0fe54b96.noarch requires eclipse-platform = 1:4.12-6.module_f30+5264+0fe54b96, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-http2-server-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-p2-discovery-1:4.11-4.fc30.noarch
  - package jetty-server-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 18: cannot install both jetty-server-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-server-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.server) >= 9.4.19, but none of the providers can be installed
  - package jetty-infinispan-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-server) = 9.4.15.v20190215, but none of the providers can be installed
  - package eclipse-pde-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires eclipse-platform = 1:4.12-6.module_f30+5264+0fe54b96, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-infinispan-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-pde-1:4.11-4.fc30.x86_64
  - package jetty-server-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 19: cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-spatial-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - package lucene-analysis-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - package lucene-analysis-8.1.1-2.module_f30+5264+0fe54b96.noarch requires osgi(org.apache.lucene.core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-spatial-7.7.0-1.fc30.noarch
  - cannot install the best update candidate for package lucene-analysis-7.7.0-1.fc30.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 20: cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-spatial3d-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - package lucene-analyzers-smartcn-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-spatial3d-7.7.0-1.fc30.noarch
  - cannot install the best update candidate for package lucene-analyzers-smartcn-7.7.0-1.fc30.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 21: package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.security) >= 9.4.19, but none of the providers can be installed
  - package eclipse-mylyn-3.25.0-0.11.module_f30+5264+0fe54b96.noarch requires eclipse-platform, but none of the providers can be installed
  - cannot install both jetty-security-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-security-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.11-4.fc30.x86_64 requires eclipse-equinox-osgi = 1:4.11-4.fc30, but none of the providers can be installed
  - package eclipse-platform-1:4.11-4.fc30.x86_64 requires osgi(org.eclipse.osgi) = 3.13.300, but none of the providers can be installed
  - package jetty-jaspi-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-security) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both eclipse-equinox-osgi-1:4.12-6.module_f30+5264+0fe54b96.x86_64 and eclipse-equinox-osgi-1:4.11-4.fc30.x86_64
  - cannot install the best update candidate for package jetty-jaspi-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-mylyn-3.25.0-0.11.module_f30+5264+0fe54b96.noarch
  - cannot install the best update candidate for package eclipse-equinox-osgi-1:4.11-4.fc30.x86_64
  - package eclipse-equinox-osgi-1:4.11-4.fc30.x86_64 is excluded
  - package eclipse-platform-1:4.11-4.fc30.x86_64 is excluded
  - package jetty-security-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 22: package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.util) >= 9.4.19, but none of the providers can be installed
  - package eclipse-jgit-5.4.0-4.module_f30+5264+0fe54b96.noarch requires eclipse-platform, but none of the providers can be installed
  - cannot install both jetty-util-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-util-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.11-4.fc30.x86_64 requires eclipse-swt = 1:4.11-4.fc30, but none of the providers can be installed
  - package eclipse-platform-1:4.11-4.fc30.x86_64 requires osgi(org.eclipse.swt) = 3.110.0, but none of the providers can be installed
  - package jetty-jndi-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-util) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both eclipse-swt-1:4.12-6.module_f30+5264+0fe54b96.x86_64 and eclipse-swt-1:4.11-4.fc30.x86_64
  - cannot install the best update candidate for package jetty-jndi-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-swt-1:4.11-4.fc30.x86_64
  - cannot install the best update candidate for package eclipse-jgit-5.4.0-4.module_f30+5264+0fe54b96.noarch
  - package eclipse-platform-1:4.11-4.fc30.x86_64 is excluded
  - package eclipse-swt-1:4.11-4.fc30.x86_64 is excluded
  - package jetty-util-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 23: problem with installed package lucene-spatial3d-7.7.0-1.fc30.noarch
  - package lucene-spatial3d-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-backward-codecs-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-backward-codecs-7.7.0-1.fc30.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 24: problem with installed package lucene-spatial-7.7.0-1.fc30.noarch
  - package lucene-spatial-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-grouping-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-grouping-7.7.0-1.fc30.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 25: package hibernate-search-5.5.4-2.fc26.noarch requires mvn(org.apache.lucene:lucene-facet), but none of the providers can be installed
  - package lucene-facet-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-highlighter-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-highlighter-7.7.0-1.fc30.noarch
  - cannot install the best update candidate for package hibernate-search-5.5.4-2.fc26.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 26: problem with installed package lucene-facet-7.7.0-1.fc30.noarch
  - package lucene-facet-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-join-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-join-7.7.0-1.fc30.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 27: package hibernate-hql-1.3.0-0.2.Alpha2.fc26.noarch requires mvn(org.hibernate:hibernate-search-engine), but none of the providers can be installed
  - package hibernate-search-5.5.4-2.fc26.noarch requires mvn(org.apache.lucene:lucene-facet), but none of the providers can be installed
  - package lucene-facet-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-memory-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-memory-7.7.0-1.fc30.noarch
  - cannot install the best update candidate for package hibernate-hql-1.3.0-0.2.Alpha2.fc26.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 28: problem with installed package hibernate-search-5.5.4-2.fc26.noarch
  - package hibernate-search-5.5.4-2.fc26.noarch requires mvn(org.apache.lucene:lucene-facet), but none of the providers can be installed
  - package lucene-facet-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-misc-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - package lucene-misc-8.1.1-2.module_f30+5264+0fe54b96.noarch requires osgi(org.apache.lucene.core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-misc-7.7.0-1.fc30.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded
 Problem 29: problem with installed package hibernate-hql-1.3.0-0.2.Alpha2.fc26.noarch
  - package hibernate-hql-1.3.0-0.2.Alpha2.fc26.noarch requires mvn(org.hibernate:hibernate-search-engine), but none of the providers can be installed
  - package hibernate-search-5.5.4-2.fc26.noarch requires mvn(org.apache.lucene:lucene-facet), but none of the providers can be installed
  - package lucene-facet-7.7.0-1.fc30.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f30+5264+0fe54b96.noarch and lucene-7.7.0-1.fc30.noarch
  - package lucene-queries-8.1.1-2.module_f30+5264+0fe54b96.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-queries-7.7.0-1.fc30.noarch
  - package lucene-7.7.0-1.fc30.noarch is excluded

Comment 1 Mat Booth 2019-09-02 13:57:50 UTC
Hmm, it looks like you have some pretty old hibernate stuff installed.

Can you try removing all the hibernate and spatial stuff? This is not needed by Eclipse.

$ sudo dnf remove lucene-spatial\* hibernate\*

Comment 2 Mat Booth 2019-09-02 14:01:00 UTC
*** Bug 1745442 has been marked as a duplicate of this bug. ***

Comment 3 Danny Ciarniello 2019-09-02 16:57:52 UTC
I removed the hibernate and lucene-spatial packages but the problem with the eclipse and jetty packages is still there.

Comment 4 Daniel 2019-09-04 10:46:28 UTC
As I wrote in https://bugzilla.redhat.com/show_bug.cgi?id=1745442, jetty-9.4.19 is not provided in the update repository.
At least I cannot upgrade jetty-* packages because of dependency problems of the old jetty-9.4.15 package.

Comment 5 Mat Booth 2019-09-04 12:46:29 UTC
(In reply to Daniel from comment #4)
> As I wrote in https://bugzilla.redhat.com/show_bug.cgi?id=1745442,
> jetty-9.4.19 is not provided in the update repository.
> At least I cannot upgrade jetty-* packages because of dependency problems of
> the old jetty-9.4.15 package.

In modularity we only build a subset of the jetty packages, which is causing the problem. You can try uninstalling the ones that Eclipse doesn't need before trying to update.

$ sudo dnf remove jetty-alpn\* jetty-http2\* jetty-websocket\* jetty-jndi\* jetty-fcgi\* jetty-osgi\* # ... etc ...

Probably best solution will be to obsolete these subpackages in the base distro since there's no way to support spring and hibernate etc in the module.

Comment 6 Daniel 2019-09-05 02:55:41 UTC
eclipse-platform package depends on jetty-continuation package, and jetty-continuation package depends on jetty package.
(As shown below)

$ sudo dnf update eclipse-platform
Last metadata expiration check: 0:03:45 ago on Thu 05 Sep 2019 10:42:00 AM JST.
Dependencies resolved.

 Problem: cannot install both jetty-continuation-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-continuation-9.4.15-1.v20190215.fc30.noarch
  - package jetty-9.4.15-1.v20190215.fc30.noarch requires jetty-continuation = 9.4.15-1.v20190215.fc30, but none of the providers can be installed
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.continuation) >= 9.4.19, but none of the providers can be installed
  - problem with installed package jetty-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-platform-1:4.11-4.fc30.x86_64
  - package jetty-9.4.15-1.v20190215.fc30.noarch is excluded
  - package jetty-continuation-9.4.15-1.v20190215.fc30.noarch is excluded
================================================================================
 Package
       Arch   Version                                     Repository       Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 jetty-continuation
       noarch 9.4.19-1.v20190610.module_f30+5264+0fe54b96 updates-modular  24 k
Skipping packages with broken dependencies:
 eclipse-platform
       x86_64 1:4.12-6.module_f30+5264+0fe54b96           updates-modular  40 M

Transaction Summary
================================================================================
Skip  2 Packages

Nothing to do.
Complete!


Without jetty package, eclipse-platform cannot be updated.


BTW, is there any way for me to downgrade updated eclipse packages? My eclipse cannot startup because some of the packages have been updated to module version.
I tried "dnf download" but it doesn't work as below.

$ rpm -q eclipse-cdt 
eclipse-cdt-9.8.0-1.module_f30+5264+0fe54b96.x86_64

$ sudo dnf downgrade eclipse-cdt
Package eclipse-cdt of lowest version already installed, cannot downgrade it.
Error: No packages marked for downgrade.

Comment 7 Daniel 2019-09-05 07:53:55 UTC
I install a new fedora 30 on KVM and tried to install eclipse-jdt package. Eventually, jetty package was not required by dependency.

So I tried to remove following packages and now I can update eclipse packages without any problems.
jetty
jetty-proxy
jetty-rewrite
jetty-servlets
jetty-jndi
jetty-start
jetty-deploy
jetty-websocket-client
jetty-websocket-common
lucene-expressions
lucene-suggest
lucene-facet
lucene-spatial
lucene-spatial3d

Comment 8 Mat Booth 2019-09-05 08:39:23 UTC
(In reply to Daniel from comment #6)
> eclipse-platform package depends on jetty-continuation package, and
> jetty-continuation package depends on jetty package.
> (As shown below)
> 

You have it backwards, "jetty" depends on "jetty-continuation", but you don't need "jetty" installed.

Comment 9 Mat Booth 2019-09-05 08:39:50 UTC
(In reply to Daniel from comment #7)
> I install a new fedora 30 on KVM and tried to install eclipse-jdt package.
> Eventually, jetty package was not required by dependency.
> 
> So I tried to remove following packages and now I can update eclipse
> packages without any problems.
> jetty
> jetty-proxy
> jetty-rewrite
> jetty-servlets
> jetty-jndi
> jetty-start
> jetty-deploy
> jetty-websocket-client
> jetty-websocket-common
> lucene-expressions
> lucene-suggest
> lucene-facet
> lucene-spatial
> lucene-spatial3d

Great, thanks for the feedback :-)

Comment 10 Danny Ciarniello 2019-09-07 16:44:02 UTC
Doesn't having to deal with this manually kind of defeat the purpose of package management?

It would be preferable is the dependency issues were dealt with in the RPMs.

Comment 11 Danny Ciarniello 2019-09-07 16:45:21 UTC
(In reply to Danny Ciarniello from comment #10)
> Doesn't having to deal with this manually kind of defeat the purpose of
> package management?
> 
> It would be preferable is the dependency issues were dealt with in the RPMs.

Sorry "...preferable *if* the dependency..."

Comment 12 Mat Booth 2019-09-09 12:20:40 UTC
(In reply to Danny Ciarniello from comment #10)
> Doesn't having to deal with this manually kind of defeat the purpose of
> package management?
> 
> It would be preferable is the dependency issues were dealt with in the RPMs.

Yes, indeed that is my plan -- see my previous comment #5.

Comment 13 Danny Ciarniello 2019-09-09 16:37:11 UTC
(In reply to Mat Booth from comment #12)
> 
> Yes, indeed that is my plan -- see my previous comment #5.

Ah, ok.  Thanks!

Comment 14 Fedora Update System 2019-09-21 11:37:32 UTC
FEDORA-MODULAR-2019-37ac08bc41 has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-37ac08bc41

Comment 15 Fedora Update System 2019-09-22 03:50:25 UTC
eclipse-latest-3020190920120950.936e8d48 has been pushed to the Fedora 30 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-37ac08bc41

Comment 16 Fedora Update System 2019-09-22 03:54:21 UTC
eclipse-latest-3120190920120950.d36a98d4 has been pushed to the Fedora 31 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-f177431204

Comment 17 Fedora Update System 2019-09-30 01:39:48 UTC
eclipse-latest-3120190920120950.d36a98d4 has been pushed to the Fedora 31 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-09-30 02:12:50 UTC
eclipse-latest-3020190920120950.936e8d48 has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Danny Ciarniello 2019-10-02 15:40:09 UTC
I am still getting the same errors that I originally reported:

Last metadata expiration check: 0:01:24 ago on Wed 02 Oct 2019 08:33:17 AM PDT.
Dependencies resolved.

 Problem 1: package jetty-fcgi-client-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-client) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-client-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-client-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-fcgi-client-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-client-9.4.15-1.v20190215.fc30.noarch
  - package jetty-client-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 2: package jetty-http2-hpack-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-http) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-http-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-http-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-http2-hpack-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-http-9.4.15-1.v20190215.fc30.noarch
  - package jetty-http-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 3: cannot install both jetty-io-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-io-9.4.15-1.v20190215.fc30.noarch
  - package jetty-alpn-client-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-io) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-io-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-alpn-client-9.4.15-1.v20190215.fc30.noarch
  - package jetty-io-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 4: package jetty-maven-plugin-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-jaas) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-jaas-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-jaas-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-maven-plugin-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-jaas-9.4.15-1.v20190215.fc30.noarch
  - package jetty-jaas-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 5: package jetty-osgi-boot-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-jmx) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-jmx-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-jmx-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-osgi-boot-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-jmx-9.4.15-1.v20190215.fc30.noarch
  - package jetty-jmx-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 6: cannot install both jetty-security-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-security-9.4.15-1.v20190215.fc30.noarch
  - package jetty-ant-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-security) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-security-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-ant-9.4.15-1.v20190215.fc30.noarch
  - package jetty-security-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 7: cannot install both jetty-server-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-server-9.4.15-1.v20190215.fc30.noarch
  - package jetty-alpn-server-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-server) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-server-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-alpn-server-9.4.15-1.v20190215.fc30.noarch
  - package jetty-server-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 8: package jetty-servlets-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-continuation) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-continuation-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-continuation-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-servlets-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-continuation-9.4.15-1.v20190215.fc30.noarch
  - package jetty-continuation-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 9: cannot install both jetty-util-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-util-9.4.15-1.v20190215.fc30.noarch
  - package jetty-cdi-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-util) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-util-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-cdi-9.4.15-1.v20190215.fc30.noarch
  - package jetty-util-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 10: cannot install both jetty-webapp-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-webapp-9.4.15-1.v20190215.fc30.noarch
  - package jetty-annotations-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-webapp) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-webapp-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-annotations-9.4.15-1.v20190215.fc30.noarch
  - package jetty-webapp-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 11: package jetty-websocket-server-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-servlet) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both jetty-servlet-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-servlet-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-websocket-server-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-httpservice-9.4.15-1.v20190215.fc30.noarch
  - package jetty-servlet-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 12: cannot install both jetty-xml-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-xml-9.4.15-1.v20190215.fc30.noarch
  - package jetty-deploy-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-xml) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-xml-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-deploy-9.4.15-1.v20190215.fc30.noarch
  - package jetty-xml-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 13: package jetty-9.4.15-1.v20190215.fc30.noarch requires jetty-httpservice = 9.4.15-1.v20190215.fc30, but none of the providers can be installed
  - package jetty-servlet-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch obsoletes jetty-httpservice < 9.4.18-1 provided by jetty-httpservice-9.4.15-1.v20190215.fc30.noarch
  - problem with installed package jetty-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package jetty-servlet-9.4.15-1.v20190215.fc30.noarch
  - package jetty-9.4.20-1.v20190813.module_f30+6518+df76ab09.noarch is excluded
  - package jetty-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 14: cannot install both jetty-io-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-io-9.4.15-1.v20190215.fc30.noarch
  - package jetty-websocket-client-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-io) = 9.4.15.v20190215, but none of the providers can be installed
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.io) >= 9.4.19, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-websocket-client-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-platform-1:4.11-4.fc30.x86_64
  - package jetty-io-9.4.20-1.v20190813.module_f30+6518+df76ab09.noarch is excluded
  - package jetty-io-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 15: cannot install both jetty-server-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-server-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.server) >= 9.4.19, but none of the providers can be installed
  - package jetty-fcgi-server-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-server) = 9.4.15.v20190215, but none of the providers can be installed
  - package eclipse-jdt-1:4.12-6.module_f30+5264+0fe54b96.noarch requires eclipse-platform = 1:4.12-6.module_f30+5264+0fe54b96, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-fcgi-server-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-jdt-1:4.11-4.fc30.noarch
  - package jetty-server-9.4.20-1.v20190813.module_f30+6518+df76ab09.noarch is excluded
  - package jetty-server-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 16: cannot install both jetty-server-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-server-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.server) >= 9.4.19, but none of the providers can be installed
  - package jetty-http2-server-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-server) = 9.4.15.v20190215, but none of the providers can be installed
  - package eclipse-p2-discovery-1:4.12-6.module_f30+5264+0fe54b96.noarch requires eclipse-platform = 1:4.12-6.module_f30+5264+0fe54b96, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-http2-server-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-p2-discovery-1:4.11-4.fc30.noarch
  - package jetty-server-9.4.20-1.v20190813.module_f30+6518+df76ab09.noarch is excluded
  - package jetty-server-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 17: cannot install both jetty-server-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-server-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.server) >= 9.4.19, but none of the providers can be installed
  - package jetty-infinispan-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-server) = 9.4.15.v20190215, but none of the providers can be installed
  - package eclipse-pde-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires eclipse-platform = 1:4.12-6.module_f30+5264+0fe54b96, but none of the providers can be installed
  - cannot install the best update candidate for package jetty-infinispan-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-pde-1:4.11-4.fc30.x86_64
  - package jetty-server-9.4.20-1.v20190813.module_f30+6518+df76ab09.noarch is excluded
  - package jetty-server-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 18: package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.security) >= 9.4.19, but none of the providers can be installed
  - package eclipse-mylyn-3.25.0-0.11.module_f30+5264+0fe54b96.noarch requires eclipse-platform, but none of the providers can be installed
  - cannot install both jetty-security-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-security-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.11-4.fc30.x86_64 requires eclipse-equinox-osgi = 1:4.11-4.fc30, but none of the providers can be installed
  - package eclipse-platform-1:4.11-4.fc30.x86_64 requires osgi(org.eclipse.osgi) = 3.13.300, but none of the providers can be installed
  - package jetty-jaspi-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-security) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both eclipse-equinox-osgi-1:4.12-6.module_f30+5264+0fe54b96.x86_64 and eclipse-equinox-osgi-1:4.11-4.fc30.x86_64
  - cannot install the best update candidate for package jetty-jaspi-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-mylyn-3.25.0-0.11.module_f30+5264+0fe54b96.noarch
  - cannot install the best update candidate for package eclipse-equinox-osgi-1:4.11-4.fc30.x86_64
  - package eclipse-platform-1:4.13-2.module_f30+6518+df76ab09.x86_64 is excluded
  - package jetty-security-9.4.20-1.v20190813.module_f30+6518+df76ab09.noarch is excluded
  - package eclipse-equinox-osgi-1:4.11-4.fc30.x86_64 is excluded
  - package eclipse-platform-1:4.11-4.fc30.x86_64 is excluded
  - package jetty-security-9.4.15-1.v20190215.fc30.noarch is excluded
 Problem 19: package eclipse-platform-1:4.12-6.module_f30+5264+0fe54b96.x86_64 requires osgi(org.eclipse.jetty.util) >= 9.4.19, but none of the providers can be installed
  - package eclipse-jgit-5.4.0-4.module_f30+5264+0fe54b96.noarch requires eclipse-platform, but none of the providers can be installed
  - cannot install both jetty-util-9.4.19-1.v20190610.module_f30+5264+0fe54b96.noarch and jetty-util-9.4.15-1.v20190215.fc30.noarch
  - package eclipse-platform-1:4.11-4.fc30.x86_64 requires eclipse-swt = 1:4.11-4.fc30, but none of the providers can be installed
  - package eclipse-platform-1:4.11-4.fc30.x86_64 requires osgi(org.eclipse.swt) = 3.110.0, but none of the providers can be installed
  - package jetty-jndi-9.4.15-1.v20190215.fc30.noarch requires mvn(org.eclipse.jetty:jetty-util) = 9.4.15.v20190215, but none of the providers can be installed
  - cannot install both eclipse-swt-1:4.12-6.module_f30+5264+0fe54b96.x86_64 and eclipse-swt-1:4.11-4.fc30.x86_64
  - cannot install the best update candidate for package jetty-jndi-9.4.15-1.v20190215.fc30.noarch
  - cannot install the best update candidate for package eclipse-swt-1:4.11-4.fc30.x86_64
  - cannot install the best update candidate for package eclipse-jgit-5.4.0-4.module_f30+5264+0fe54b96.noarch
  - package eclipse-platform-1:4.13-2.module_f30+6518+df76ab09.x86_64 is excluded
  - package jetty-util-9.4.20-1.v20190813.module_f30+6518+df76ab09.noarch is excluded
  - package eclipse-platform-1:4.11-4.fc30.x86_64 is excluded
  - package eclipse-swt-1:4.11-4.fc30.x86_64 is excluded
  - package jetty-util-9.4.15-1.v20190215.fc30.noarch is excluded
=============================================================================================================================================================
 Package                             Architecture          Version                                                      Repository                      Size
=============================================================================================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 eclipse-equinox-osgi                x86_64                1:4.12-6.module_f30+5264+0fe54b96                            updates-modular                1.7 M
 eclipse-swt                         x86_64                1:4.12-6.module_f30+5264+0fe54b96                            updates-modular                4.4 M
 jetty-client                        noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                267 k
 jetty-continuation                  noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                 24 k
 jetty-http                          noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                194 k
 jetty-io                            noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                142 k
 jetty-jaas                          noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                 45 k
 jetty-jmx                           noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                 41 k
 jetty-security                      noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                107 k
 jetty-server                        noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                602 k
 jetty-servlet                       noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                114 k
 jetty-util                          noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                491 k
 jetty-webapp                        noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                129 k
 jetty-xml                           noarch                9.4.19-1.v20190610.module_f30+5264+0fe54b96                  updates-modular                 60 k
Skipping packages with broken dependencies:
 eclipse-jdt                         noarch                1:4.12-6.module_f30+5264+0fe54b96                            updates-modular                 31 M
 eclipse-p2-discovery                noarch                1:4.12-6.module_f30+5264+0fe54b96                            updates-modular                231 k
 eclipse-pde                         x86_64                1:4.12-6.module_f30+5264+0fe54b96                            updates-modular                112 M
 eclipse-platform                    x86_64                1:4.12-6.module_f30+5264+0fe54b96                            updates-modular                 40 M

Transaction Summary
=============================================================================================================================================================
Skip  18 Packages

Nothing to do.
Complete!

Comment 20 Mat Booth 2019-10-03 08:54:49 UTC
I can't see what command you are using to install, are you doing this?

$ sudo dnf module install eclipse:latest

Comment 21 Danny Ciarniello 2019-10-03 15:36:42 UTC
No, I'm doing 

$ dnf update

Comment 22 Danny Ciarniello 2019-10-21 03:07:13 UTC
Looks like I do have to manage this "manually" since 

dnf module install eclipse:latest 

results in

Dependencies resolved.
The operation would result in switching of module 'eclipse' stream '2019-06' to stream 'latest'
Error: It is not possible to switch enabled streams of a module.
It is recommended to remove all installed content from the module, and reset the module using 'dnf module reset <module_name>' command. After you reset the module, you can install the other stream.


Note You need to log in before you can comment on or make changes to this bug.